## don't activate some services
#rm -f $MOUNTDIR/etc/rcsysinit.d/{S35hdparm,S30loadmodules,S40swap}
#rm -f $MOUNTDIR/etc/rc*.d/{S12random,S13sysinit,S20network,S44acpid,S55sshd}
#rm -f $MOUNTDIR/etc/rc*.d/{K00splash,K01acpid,K90random,K96swap,K97network,K97udev,K98localnet}

# make initramfs

LANG=${LANGUAGE}_${COUNTRY} chroot $MOUNTDIR dracut \
   --filesystems "autofs4 ext3 ext4 overlayfs squashfs isofs reiserfs" \
   --nomdadmconf --nolvmconf \
   /boot/initramfs-${KERNEL_MAJVER}${KERNEL_EXTRAVER}.img.gz \
   ${KERNEL_MAJVER}${KERNEL_EXTRAVER}

# configure extlinux boot loader
cat > $MOUNTDIR/boot/extlinux.conf << _EOF
DEFAULT $PLATFORM
LABEL $PLATFORM
KERNEL /boot/vmlinuz-${KERNEL_VER}${KERNEL_EXTRAVER}
APPEND video=vesafb:1024x768-32,ywrap,mtrr root=$ROOTDEV console=tty1 initrd=/boot/initramfs-${KERNEL_VER}${KERNEL_EXTRAVER}.img.gz splash=silent quiet
_EOF
#resume2=swap:$SWAPDEV

# set default root password
cp $MOUNTDIR/etc/shadow $MOUNTDIR/etc/shadow.orig
sed -i '/^root:.*/d' $MOUNTDIR/etc/shadow.orig
echo 'root:$1$Gmb.bk72$j/Dnx2zK8Zk7cNL4lmTir0:13852:0:99999:7:::0' > $MOUNTDIR/etc/shadow.tmp
mv $MOUNTDIR/etc/shadow $MOUNTDIR/etc/shadow.preinst
cat $MOUNTDIR/etc/shadow.tmp $MOUNTDIR/etc/shadow.orig > $MOUNTDIR/etc/shadow
rm -f $MOUNTDIR/etc/shadow.tmp $MOUNTDIR/etc/shadow.orig

prelink

extlinux --install $MOUNTDIR/boot

#echo "Performing binaries prelinking..."
#chroot $MOUNTDIR /bin/bash -c "PRELINK_NOINITCHECK=1 /etc/cron.daily/prelink"
