# add fstab entries
#cat >> $MOUNTDIR/etc/fstab << _EOF
#/dev/mmcblk0p1	/mnt/sd0	auto	defaults,noauto	0	0
#_EOF
#mkdir $MOUNTDIR/mnt/{ndda1,ndda2,sd0,sda1,sda2}

# disable nfs
#chroot $MOUNTDIR chkconfig --del nfslock
#chroot $MOUNTDIR chkconfig --del portmap
#chroot $MOUNTDIR chkconfig --del ts-calibrate

## disable random
#chroot $MOUNTDIR chkconfig --del random

## enable ftp server
#sed -i "s|\(.*disable[[:space:]]*= \)yes|\1no|" $MOUNTDIR/etc/xinetd.d/vsftpd
#sed -i "s|#local_enable|local_enable|" $NOUNTDIR/etc/vsftpd.conf
#sed -i "s|#write_enable|write_enable|" $NOUNTDIR/etc/vsftpd.conf
#sed -i "/root/d" $MOUNTDIR/etc/vsftpd/user_list
#sed -i "/root/d" $MOUNTDIR/etc/vsftpd/chroot-list

## remove alsa configuration for now
#rm $MOUNTDIR/etc/asound.conf

# remove some services
#rm -f $MOUNTDIR/etc/rc?.d/???{iptables,acpid}

## generate RPM scripts first time execution
#make_rpm_first_time_script "\
#chkconfig --del acpid
#chkconfig --del alsa
#chkconfig --del iptables
#chkconfig --del nfslock
#chkconfig --del portmap
#"

## use system default language
#> $MOUNTDIR/etc/sysconfig/i18n

# set localtime (default to Europe/Berlin)
case $LANGUAGE in
   it) timezone=Europe/Rome ;;
   es) timezone=Europe/Madrid ;;
   *)  timezone=Europe/Berlin ;;
esac
echo $timezone > $MOUNTDIR/etc/timezone
cp /usr/share/zoneinfo/$timezone $MOUNTDIR/etc/localtime

# disable automatic depmod and ldconfig execution on boot (also due to clock error)
cat >> $MOUNTDIR/etc/sysconfig/rc << _EOF
no_auto_depmod=1
no_auto_ldconfig=1
_EOF

# configure touchscreen
cat > $MOUNTDIR/etc/ts-calibrate.conf << _EOF
TSLIB_CONFFILE=/etc/ts.conf
TSLIB_CONSOLEDEVICE=none
TSLIB_FBDEVICE=/dev/fb0
TSLIB_TSDEVICE=/dev/input/event0
TSLIB_CALIBFILE=/etc/pointercal
HOME=/root
_EOF


# change inittab so it opens tty root shells instead of asking for login
#
echo "Forcing \`inittab' to open tty root shells with no login..."
# configure for serial console login
#echo "s0:2345:respawn:/sbin/agetty -L -f /etc/issue 115200 tcc-uart0 vt100" >> $MOUNTDIR/etc/inittab
sed -i 's,^1:.*,1:234:respawn:/sbin/mingetty --autologin root --loginpause --noclear tty1,' $MOUNTDIR/etc/inittab
sed -i 's,^\([2-3]\):.*,\1:2345:respawn:/sbin/mingetty --autologin root --loginpause --noclear tty\1,' $MOUNTDIR/etc/inittab
sed -i 's,^4:.*,4:2345:respawn:/sbin/agetty ttyS0 115200,' $MOUNTDIR/etc/inittab
sed -i 's,^5:.*,5:2345:respawn:/sbin/agetty ttyGS0 115200,' $MOUNTDIR/etc/inittab
sed -i 's,^6:.*,6:2345:respawn:/sbin/agetty ttyAMA0 115200,' $MOUNTDIR/etc/inittab
#sed -i '/^[5-6]:.*/d' $MOUNTDIR/etc/inittab

# configure for runlevel 5 boot
sed -i "s|id:3\(:initdefault.*\)|id:5\1|" $MOUNTDIR/etc/inittab

# configure LXDM for autologin
#
sed -i "s|# autologin.*|autologin=liveuser|" $MOUNTDIR/etc/lxdm/lxdm.conf

# set timezone according to LANGUAGE (default is UTC)
#
case $LANGUAGE in
   it) timezone=Europe/Rome ;;
   es) timezone=Europe/Madrid ;;
   *)  timezone=UTC ;;
esac
echo $timezone > $MOUNTDIR/etc/timezone
cp $MOUNTDIR/usr/share/zoneinfo/$timezone $MOUNTDIR/etc/localtime

# remove some documentation to save space
for f in ChangeLog Changelog CHANGES TODO NEWS README README.txt; do
   find $MOUNTDIR/usr/share/doc -name $f -exec rm -f {} \;
done

# disable filesystem autocheck due to a kernel bug in hannspad (blkid generated kernel crash)
if [ "$ARCH" = "arm" ]; then
   sed -i "s|FS_PARTS_UPDATE=yes|FS_PARTS_UPDATE=no|" $MOUNTDIR/etc/sysconfig/postplug
   sed -i "s|FS_SWAP_UPDATE=yes|FS_SWAP_UPDATE=no|" $MOUNTDIR/etc/sysconfig/postplug
fi

# FIXME: this should be done by postplug only when touchscreen is detected
mkdir -p $MOUNTDIR/home/liveuser/.icons/default
cat > $MOUNTDIR/home/liveuser/.icons/default/index.theme << _EOF
[Icon Theme]
Inherits=xcursor-transparent
_EOF

# configure default liveuser password
echo "openmamba" | chroot $MOUNTDIR passwd liveuser --stdin

prelink
